package com.sky.ioc.controller.data;

import com.sky.ioc.entity.domain.data.Building;
import com.sky.ioc.entity.domain.data.CompanyData;
import com.sky.ioc.service.data.CompanyDataService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "数据管理--公司")
@Slf4j
@RestController
@RequestMapping("/data")
public class CompanyDataController {

    @Autowired
    CompanyDataService companyDataService;

    @ApiOperation("修改公司信息")
    @PutMapping(value = "/company")
    public ReturnMsg editCompanyData(CompanyData companyData) {
        return companyDataService.editCompanyData(companyData);
    }

    @ApiOperation("添加公司信息")
    @PostMapping(value = "/company")
    public ReturnMsg addCompanyData(CompanyData companyData) {
        return companyDataService.addCompanyData(companyData);
    }

    @ApiOperation("获取公司详情")
    @GetMapping(value = "/company")
    public ReturnMsg getCompanyDataList() {
        return companyDataService.getList();
    }
}
