package com.sky.ioc.controller.index;

import com.sky.ioc.service.index.IndexService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "指标配置")
@Slf4j
@RestController
@RequestMapping("/index")
public class IndexController {

    @Autowired
    private IndexService indexService;


    @ApiOperation("编辑指标")
    @PostMapping("/edit_index")
    public ReturnMsg editIndex(@RequestParam String data) {
        return indexService.editIndex(data);
    }

    @ApiOperation("查询所有菜单")
    @GetMapping("/get_system_menus_list")
    public ReturnMsg getSystemMenusList(@RequestParam Integer parentId) {
        return indexService.getSystemMenusList(parentId);
    }

    @ApiOperation("查询指标列表")
    @GetMapping("/index_list")
    public ReturnMsg getIndexList(@RequestParam(defaultValue = "1") Integer page, @RequestParam(defaultValue = "20") Integer page_size, @RequestParam Integer parent_id) {
        return indexService.getIndexList(page, page_size, parent_id);
    }

}
