package com.sky.ioc.controller.log;

import com.sky.ioc.entity.dto.LogParam;
import com.sky.ioc.service.log.LogService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;

@Api(tags = "日志管理")
@Slf4j
@RestController
@RequestMapping("/log")
public class LogController {

    @Autowired
    private LogService logService;

    @ApiOperation("日志导出")
    @GetMapping("/log_export")
    public void exportLog(HttpServletResponse response) {
        logService.exportLog(response);
    }

    @ApiOperation("获取日志列表")
    @GetMapping("/log_list")
    public ReturnMsg getLogList(LogParam logParam) {
        return logService.getLogList(logParam);
    }

}
