package com.sky.ioc.service.data.impl;

import com.sky.ioc.entity.domain.data.CompanyData;
import com.sky.ioc.mapper.data.CompanyDataMapper;
import com.sky.ioc.service.data.CompanyDataService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CompanyDataServiceImpl implements CompanyDataService {

    @Autowired
    CompanyDataMapper companyDataMapper;

    @Override
    public ReturnMsg addCompanyData(CompanyData companyData) {
        companyDataMapper.insert(companyData);
        return ReturnMsg.ok();
    }

    @Override
    public ReturnMsg editCompanyData(CompanyData companyData) {
        if(companyData.getId()!=null){
            companyDataMapper.updateById(companyData);
            return ReturnMsg.ok();
        }else{
          return ReturnMsg.fail("公司id不能为空");
        }
    }

    @Override
    public ReturnMsg getList() {
        List<CompanyData> lists = companyDataMapper.selectList(null);
        return ReturnMsg.ok(lists);
    }
}
